package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-24 15:55
 *    desc   :
 * </pre>
 */
public abstract class BaseWxWalletCoin<M extends BaseWxWalletCoin<M>> extends TioModel<M> implements IBean {

    public void setId(java.lang.Integer id) {
        set("id", id);
    }

    public java.lang.Integer getId() {
        return getInt("id");
    }

    /**
     * 用户id
     */
    public void setUid(java.lang.Integer uid) {
        set("uid", uid);
    }

    /**
     * 用户id
     */
    public java.lang.Integer getUid() {
        return getInt("uid");
    }

    /**
     * 钱包余额
     */
    public void setCny(java.lang.Long cny) {
        set("cny", cny);
    }

    /**
     * 钱包余额
     */
    public java.lang.Long getCny() {
        return getLong("cny");
    }

    /**
     * 未结算余额
     */
    public void setUnclearcny(java.lang.Long unclearcny) {
        set("unclearcny", unclearcny);
    }

    /**
     * 未结算余额
     */
    public java.lang.Long getUnclearcny() {
        return getLong("unclearcny");
    }

    /**
     * 体现余额
     */
    public void setWithdrawcny(java.lang.Long withdrawcny) {
        set("withdrawcny", withdrawcny);
    }

    /**
     * 体现余额
     */
    public java.lang.Long getWithdrawcny() {
        return getLong("withdrawcny");
    }

    /**
     * 接受红包
     */
    public void setAcceptredpacket(java.lang.Long acceptredpacket) {
        set("acceptredpacket", acceptredpacket);
    }

    /**
     * 接受红包
     */
    public java.lang.Long getAcceptredpacket() {
        return getLong("acceptredpacket");
    }

    /**
     * 发送红包
     */
    public void setSendpacket(java.lang.Long sendpacket) {
        set("sendpacket", sendpacket);
    }

    /**
     * 发送红包
     */
    public java.lang.Long getSendpacket() {
        return getLong("sendpacket");
    }

    /**
     * 消费密码
     */
    public void setCostpwd(java.lang.String costpwd) {
        set("costpwd", costpwd);
    }

    /**
     * 消费密码
     */
    public java.lang.String getCostpwd() {
        return getStr("costpwd");
    }

    /**
     * 记录创建时间
     */
    public void setCreatetime(java.util.Date createtime) {
        set("createtime", createtime);
    }

    /**
     * 记录创建时间
     */
    public java.util.Date getCreatetime() {
        return getDate("createtime");
    }

    /**
     * 该记录更新时间
     */
    public void setUpdatetime(java.util.Date updatetime) {
        set("updatetime", updatetime);
    }

    /**
     * 该记录更新时间
     */
    public java.util.Date getUpdatetime() {
        return getDate("updatetime");
    }

}
